package com.xintong.visualinspection.dao.master;

import java.util.List;
import java.util.Map;

import com.xintong.visualinspection.pojo.TaskListByDeptAppeal;
import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.Task;
import com.xintong.visualinspection.bean.TaskStatus;
import com.xintong.visualinspection.bean.UserClassCount;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface TaskDao  {
    public List<Task> getAll();
    public Task getOne(Long id);
    public List<Task> getList(Task task);
    public List<Task> getListInStatus(Task task);
    public List<Task> getListByChecked(Task task);
    public List<Task> getListBySubmited(Task task);
    public void insert(Task task);
    public void insertStatus(TaskStatus taskStatus);
    public void update(Task task);
    public void delete(Long id);
    public List<TaskStatus> getTaskStatusList(Long id);
    public void dispatch(Task task);
    public void dispatchById(Task task);
    public void insertStatusBatch(List<TaskStatus> taskStatusList);
    public void deleteInvalidTaskCount(Long task_id);
    public void updateInvalidTaskCount(Task task);
    public List<UserClassCount> getUserCount(Task task);
    public List<Task> getUserCountTask(Task task);
    public List<Task> getTaskListByDept(TaskListByDeptAppeal taskListByDeptAppeal);

}
